:root{
    /* color web */
    --colorwm: #ffcc00;
    --colorwh: #00582c;
    --colorwb: #231f20;
    --colorwt: #91969a;
    /* color all */
    --color00: #000000;
    --color02: #020202;
    --color44: #444444;
    --color33: #333333;
    --color22: #222222;
    --color55: #555555;
    --color44: #444444;
    --color66: #666666;
    --color67: #67635c;
    --color88: #888888;
    --color99: #999999;
    --colorff: #ffffff;
    --coloree: #eeeeee;
    --colordd: #dddddd;
    --colorcc: #cccccc;
    --colorf1: #f1f1f1;
    --colorf2: #f2f2f2;
    --colorf3: #f3f3f3;
    --colorf4: #f4f4f4;
    --colorf5: #F5F5F5;
    --colorf6: #f6f6f6;
    --colorf7: #f7f7f7;
    --colorf8: #f8f8f8;
    --colorf9: #f9f9f9;
    --colore7: #e7e7e7;
    --colore8: #e8e8e8;
    --colore5: #e5e5e5;
    --colorb4: #b4b4b4;
    --colord9: #d9d9d6;
    --colord0: #d0d0d0;
    --colorf0: #f0ebe9;
    --colorce: #ced4da; 
    --color1c: #1c1c1c;
    --color8d: #8d8d8d;
    --effectl: all 0.3s linear;
    --effecte: all 0.3s ease;
}
.menu_mobile{
    position: relative;
    overflow: hidden;
}
.menu_mobile .icon_menu{
    position: relative;
    width: 30px;
    height: 30px;
    cursor: pointer;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    text-align: center;
    font-size: 12px;
    line-height: 12px;
    text-transform: uppercase;
}
.menu_mobile .icon_menu .style_icon{
    height: 2px;
    width: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: var(--colorff);
}
.menu_mobile .icon_menu .style_icon:before,
.menu_mobile .icon_menu .style_icon:after {
    content: "";
    position: absolute;
    display: block;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    transform: translateX(-50%);
    width: 30px;
    height: 2px;
    background: var(--colorff);
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
.menu_mobile .icon_menu .style_icon:before{
    top: -8px;
}
.menu_mobile .icon_menu .style_icon:after {
    top: 8px;
}
.menu_mobile.showmenu .icon_menu .style_icon{
    height: 0;
}
.menu_mobile.showmenu .icon_menu .style_icon::before{
    top: 0;
    left: 0;
    transform: rotate(45deg);
}
.menu_mobile.showmenu .icon_menu .style_icon::after{
    top: 0;
    left: 0;
    transform: rotate(-45deg);
}
/*======================================================================*/
/*=============================CONTENT==================================*/
/*======================================================================*/
.menu_mobile .divmm {
    position: fixed;
    width: 100%;
    top: 60px;
    left: 0;
    bottom: 0;
    visibility: hidden;
    text-align: left;
    z-index: 114;
}
.menu_mobile.scmenu .divmm{
    top: 60px;
}
.menu_mobile .divmm .mmContent {
    width: 100%;
    height: 100%;
    margin: 0;
    position: relative;
    top: 0;
    right: 0;
    z-index: 60;
    -webkit-transform: translate(-100%, 0%);
    -moz-transform: translate(-100%, 0%);
    -o-transform: translate(-100%, 0%);
    -ms-transform: translate(-100%, 0%);
    transform: translate(-100%, 0%);
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    max-width: 500px;
    pointer-events: none;
}
.menu_mobile .divmm .mmContent.no-over{
    overflow-y:hidden;
}
.menu_mobile .divmm .divmmbg {
    position: fixed;
    top: 60px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 51;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.8s ease;
    -moz-transition: all 0.8s ease;
    -o-transition: all 0.8s ease;
    transition: all 0.8s ease;
    pointer-events: auto;
}
.menu_mobile.scmenu .divmm .divmmbg{
    top: 60px;
}
.menu_mobile .divmm.show .divmmbg {
    opacity: 1;
    visibility: visible;
}
/*======================================================================*/
/*======================MENU LOAI 1=====================================*/
/*======================================================================*/
.mmMenu {
    height: 100%;
}
.mmMenu .mmMain{
    background-color: rgba(0, 88, 44, 0.95);
    pointer-events: auto;
    height: 100%;
    overflow: hidden;
    overflow-y: auto;
    padding: 10px 0;
}
.mmMenu .mmMain::-webkit-scrollbar{
    width: 0;
}
.mmMenu>ul>li{
    overflow: hidden;
}
.mmMenu>ul>li>a, .mmMenu>ul>li>.m-sub>a {
    display: block;
    padding: 10px 20px;
    font-size: 15px;
    line-height: 25px;
    font-weight: 700;
    position: relative;  
    text-transform: uppercase;  
    color: var(--colorff);
}
.mmMenu>ul>li.active>a, .mmMenu>ul>li.active>.m-sub>a,
.mmMenu>ul>li.active>.button-submenu, .mmMenu>ul>li.active>.m-sub>.button-submenu,
.mmMenu>ul>li>ul>li.active>a, .mmMenu>ul>li>ul>li.active>.m-sub>a,
.mmMenu>ul>li>ul>li.active>.button-submenu, .mmMenu>ul>li>ul>li.active>.m-sub>.button-submenu{
    color: var(--colorwm);
}
.mmMenu>ul>li>a.home_page{
    position: relative;
}
.mmMenu>ul>li>a.home_page::after{
    position: absolute;
    top: 50%;
    right: 15px;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    content: "\f015";
    transform: translate(0, -50%);
}
.mmMenu>ul>li>.m-sub{
    position: relative;
    padding-right: 60px;
}
.mmMenu>ul>li>.m-sub>.button-submenu{
    position: absolute;
    top: 0;
    right: 0;
    width: 60px;
    height: 100%;
    cursor: pointer;
    font-size: 12px;
    color: var(--colorff);
}
.mmMenu>ul>li>.m-sub>.button-submenu:before{
    content: '\f078';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    position: absolute;
    right: 28px;
    top: 48%;
    transform: translateY(-50%);
    -webkit-transition: var(--effectl);
    -o-transition: var(--effectl);
    transition: var(--effectl);
}
.mmMenu>ul>li>.m-sub>.button-submenu.show::before{
    transform: translateY(-50%) rotate(180deg);
}
.mmMenu>ul>li.current>.m-sub>.button-submenu{
    color: var(--colorff);
}
/*=====LEVEL 2=====*/
.mmMenu>ul>li>ul{
    position: relative;
    z-index: 1;
    padding: 0 0 5px 40px;
}
.mmMenu>ul>li>ul>li>a, .mmMenu>ul>li>ul>li>.m-sub>a {
    display: block;
    padding: 5px 20px 5px 0;
    position: relative;
    font-size: 15px;
    line-height: 25px;
    font-weight: 400;
    color: var(--colorff);
}
.mmMenu>ul>li>ul>li>.m-sub>a{
    padding-right: 0;
}
.mmMenu>ul>li>ul>li>.m-sub{
    position: relative;
    display: inline-block;
    padding-right: 28px;
}
.mmMenu>ul>li>ul>li .m-sub .button-submenu{
    position: absolute;
    top: 0;
    right: 0;
    width: 28px;
    height: 100%;
    cursor: pointer;
    font-size: 10px;
    line-height: 20px;
    color: var(--colorff);
}
.mmMenu>ul>li>ul>li .m-sub .button-submenu:before{
    content: '\f078';
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    position: absolute;
    right: 8px;
    top: 55%;
    transform: translateY(-50%);
    -webkit-transition: var(--effectl);
    -o-transition: var(--effectl);
    transition: var(--effectl);
}
.mmMenu>ul>li>ul>li .m-sub .button-submenu.show::before{
    transform: translateY(-50%) rotate(180deg);
}
/*====LEVEL 3====*/
.mmMenu>ul>li>ul>li>ul{
    position: relative;
    z-index: 1;
    padding: 0 0 0 20px;
}
.mmMenu>ul>li>ul>li>ul>li>a,
.mmMenu>ul>li>ul>li>ul>li>.m-sub>a {
    display: block;
    padding: 5px 20px 5px 0;
    font-weight: 400;
    color: var(--colorff);
}
.mmMenu>ul>li>ul>li>ul>li{
    position: relative;
}
.mmMenu>ul>li>ul>li>ul>li .m-sub{
    position: relative;
}
.mmMenu>ul>li>ul>li li ul{
    padding: 0 30px 0 50px;
}
.mmMenu>ul>li>ul>li li li a{
    font-weight: 400;
    padding: 10px 0;
    display: block;
}
.menu_mobile.show_left .divmm .mmContent {
    padding-left: 0;
    padding-right: 50px;
    margin: 0 auto 0 0;
    direction: rtl;
    -webkit-transform: translate(-100%, 0%);
    -moz-transform: translate(-100%, 0%);
    -o-transform: translate(-100%, 0%);
    -ms-transform: translate(-100%, 0%);
    transform: translate(-100%, 0%);
}
.menu_mobile.show_left .divmm .mmContent .mmMenu .m-ab {
    -webkit-transform: translate(-100%, 0);
    -moz-transform: translate(-100%, 0);
    -ms-transform: translate(-100%, 0);
    -o-transform: translate(-100%, 0);
    transform: translate(-100%, 0);
    border-right: 1px solid rgba(0,0,0,0.1);
    left: 0;
    right: 50px;
}
.menu_mobile.show_left .divmm.show .mmContent .close-mmenu,
.menu_mobile.show_left .divmm .mmContent .close-mmenu{
    left: auto;
    right: 0;
}
.menu_mobile.show_left .divmm .mmContent .mmMenu .m-ab.active{
    -webkit-transform: translate(0, 0);
    -moz-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
}
.menu_mobile .divmm.show {
    visibility: visible;
}
.menu_mobile .divmm.show .mmContent {
    -webkit-transform: translate(0%, 0%);
    -moz-transform: translate(0%, 0%);
    -o-transform: translate(0%, 0%);
    -ms-transform: translate(0%, 0%);
    transform: translate(0%, 0%);
}
.menu_mobile .divmm.show .mmContent .close-mmenu {

    right: 0px;
    top: 0px;
    opacity: 1;
}
